Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.form
Class TimeField

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.gwtext.client.widgets.Component
                  com.gwtext.client.widgets.BoxComponent
                      com.gwtext.client.widgets.form.Field
                          com.gwtext.client.widgets.form.TextField
                              com.gwtext.client.widgets.form.ComboBox
                                  com.gwtext.client.widgets.form.TimeField

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener, Observable

    public class TimeField

extends ComboBox

Basic text field.

Nested Class Summary

Nested classes/interfaces inherited from class com.gwtext.client.widgets.form.ComboBox
`ComboBox.Mode, ComboBox.Trigger`

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.gwtext.client.widgets.form.ComboBox
`ALL, LOCAL, QUERY, REMOTE`

Fields inherited from class com.gwtext.client.widgets.Component
`config, id`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`TimeField()`
`TimeField(com.google.gwt.core.client.JavaScriptObject jsObj)`
`TimeField(java.lang.String fieldLabel)`
`TimeField(java.lang.String fieldLabel, java.lang.String name)`
`TimeField(java.lang.String fieldLabel, java.lang.String name, int width)`

Method Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.core.client.JavaScriptObject jsObj)`
`protected com.google.gwt.core.client.JavaScriptObject` | `getConfigPrototype()`
`java.lang.String` | `getXType()` Gets the xtype for this component as registered with ComponentMgr.
`void` | `setAltFormats(java.lang.String altFormats)` Multiple date formats separated by "|" to try when parsing a user input value and it doesn't match the defined format (defaults to 'm/d/Y|m-d-y|m-d-Y|m/d|m-d|d').
`void` | `setFormat(java.lang.String format)` The default date format string which can be overriden for localization support.
`void` | `setIncrement(int increment)` The number of minutes between each time value in the list (defaults to 15).
`void` | `setInvalidText(java.lang.String invalidtext)` The error text to display when the time in the field is invalid (defaults to '{value} is not a valid time - it must be in the format {format}').
`void` | `setMaxText(java.lang.String maxText)` The error text to display when the time is after maxValue (defaults to 'The time in this field must be equal to or before {0}').
`void` | `setMaxValue(java.util.Date maxValue)` The maximum allowed time.
`void` | `setMaxValue(java.lang.String maxValue)` The maximum allowed time in valid date format.
`void` | `setMinText(java.lang.String minText)` The error text to display when the date in the cell is before minValue (defaults to 'The time in this field must be equal to or after {0}').
`void` | `setMinValue(java.util.Date minValue)` The minimum allowed time.
`void` | `setMinValue(java.lang.String minValue)` The minimum allowed time in valid date format.

Methods inherited from class com.gwtext.client.widgets.form.ComboBox
`addListener, clearValue, collapse, doQuery, expand, getElement, getMinHeight, getStore, getValue, isExpanded, onDestroy, select, selectByValue, setAllQuery, setDisplayField, setEditable, setForceSelection, setHandleHeight, setHiddenName, setHideTrigger, setItemSelector, setLazyRender, setLinked, setListAlign, setListClass, setListWidth, setLoadingText, setMaxHeight, setMinChars, setMinHeight, setMinListWidth, setMode, setPageSize, setQueryDelay, setQueryParam, setResizable, setSelectedClass, setShadow, setShadow, setStore, setTitle, setTpl, setTpl, setTriggerAction, setTriggerClass, setTypeAhead, setTypeAheadDelay, setValue, setValueField, setValueNotFoundText`

Methods inherited from class com.gwtext.client.widgets.form.TextField
`addKeyListener, addKeyListener, addKeyListener, addKeyPressListener, addKeyPressListener, addListener, autoSize, getText, selectText, selectText, setAllowBlank, setBlankText, setDisableKeyFilter, setEmptyClass, setEmptyText, setGrow, setGrowMax, setGrowMin, setMaskRe, setMaxLength, setMaxLengthText, setMinLength, setMinLengthText, setPassword, setRegex, setRegexText, setSelectOnFocus, setValidator, setVtype, setVtypeText, validateValue`

Methods inherited from class com.gwtext.client.widgets.form.Field
`addListener, applyTo, applyTo, clearInvalid, getClearCls, getCls, getFieldLabel, getFocusClass, getInputType, getInvalidClass, getInvalidText, getLabelSeparator, getLabelStyle, getName, getRawValue, getTabindex, getValidationDelay, getValueAsString, hide, isAutoCreate, isDirty, isHideLabel, isReadOnly, isValid, isValid, isValidateOnBlur, markInvalid, reset, setAutoCreate, setAutoCreate, setClearCls, setCls, setDisabled, setFieldClass, setFieldLabel, setFieldMsgTarget, setFocusClass, setHideLabel, setInputType, setInvalidClass, setLabel, setLabelSeparator, setLabelStyle, setMsgFx, setMsgTarget, setName, setRawValue, setReadOnly, setTabIndex, setValidateOnBlur, setValidationDelay, setValidationEvent, setValidationEvent, show, validate`

Methods inherited from class com.gwtext.client.widgets.BoxComponent
`addListener, doOnRender, doOnRender, getAutoHeight, getAutoWidth, getBox, getBox, getHeight, getPosition, getPosition, getSize, getWidth, setAutoHeight, setAutoWidth, setHeight, setHeight, setPagePosition, setPosition, setSize, setSize, setWidth, setWidth, syncSize, updateBox`

Methods inherited from class com.gwtext.client.widgets.Component
`addClass, addClassCreated, addEvent, addEvents, addListener, addListener, addListener, addPlugin, addStyleDependentName, addStyleName, afterRender, beforeDestroy, check, checkExtVer, cloneComponent, cloneComponent, cloneConfig, destroy, disable, enable, equals, error, findParentBy, findParentByType, fireEvent, focus, focus, focus, getApplyTo, getAttribute, getAttributeAsBoolean, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAutoShow, getComponentJS, getConfig, getConfigAsString, getCtCls, getDisabledClass, getEl, getElement, getElement, getHideMode, getHideParent, getId, getItemId, getJsObj, getOffsetHeight, getOffsetWidth, getOrCreateJsObj, getOwnerContainer, getRenderTo, getStateEvents, getStateId, getTitle, getXTypes, hashCode, initComponent, isCreated, isDisabled, isHidden, isRendered, isVisible, isXType, isXType, purgeListeners, removeClass, removeStyleDependentName, removeStyleName, render, render, render, render, render, render, resumeEvents, setApplyTo, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoEl, setAutoEl, setAutoShow, setCtCls, setDisabledClass, setEl, setEl, setElement, setHideMode, setHideParent, setId, setRenderTo, setRenderToID, setStateEvents, setStateId, setStyle, setStyle, setStyleName, setStylePrimaryName, setVisible, suspendEvents, toString`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, isAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, setElement, setPixelSize, setStyleName, setStyleName, setStylePrimaryName, setVisible, sinkEvents, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimeField

    public TimeField()

### TimeField

    public TimeField(java.lang.String fieldLabel)

### TimeField

    public TimeField(java.lang.String fieldLabel,
                     java.lang.String name)

### TimeField

    public TimeField(java.lang.String fieldLabel,
                     java.lang.String name,
                     int width)

### TimeField

    public TimeField(com.google.gwt.core.client.JavaScriptObject jsObj)

Method Detail

### getConfigPrototype

    protected com.google.gwt.core.client.JavaScriptObject getConfigPrototype()

  Overrides:
    `getConfigPrototype` in class `ComboBox`

### getXType

    public java.lang.String getXType()

  Description copied from class: `Component`
  Gets the xtype for this component as registered with ComponentMgr. For a list of all available xtypes, see the Component javadocs.

       TextField field = new TextField();
       field.getXType() returns "textfield"

  Overrides:
    `getXType` in class `ComboBox`
  Returns:
    the xtype

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.core.client.JavaScriptObject jsObj)

  Overrides:
    `create` in class `ComboBox`

### setAltFormats

    public void setAltFormats(java.lang.String altFormats)
                       throws java.lang.IllegalStateException

  Multiple date formats separated by "|" to try when parsing a user input value and it doesn't match the defined format (defaults to 'm/d/Y|m-d-y|m-d-Y|m/d|m-d|d').

  Parameters:
    `altFormats` - the alt formats
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setFormat

    public void setFormat(java.lang.String format)
                   throws java.lang.IllegalStateException

  The default date format string which can be overriden for localization support. The format must be valid according to Date.parseDate (defaults to 'm/d/y').

  Parameters:
    `format` - the date format string
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setIncrement

    public void setIncrement(int increment)
                      throws java.lang.IllegalStateException

  The number of minutes between each time value in the list (defaults to 15).

  Parameters:
    `increment` - the number of minutes between each time value in the list (defaults to 15).
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setInvalidText

    public void setInvalidText(java.lang.String invalidtext)

  The error text to display when the time in the field is invalid (defaults to '{value} is not a valid time - it must be in the format {format}').

  Overrides:
    `setInvalidText` in class `Field`
  Parameters:
    `invalidtext` - the error text to display when the time in the field is invalid
  See Also:
    `TextField.setValidator(Validator)`

### setMaxText

    public void setMaxText(java.lang.String maxText)

  The error text to display when the time is after maxValue (defaults to 'The time in this field must be equal to or before {0}').

  Parameters:
    `maxText` - The error text to display when the time is after maxValue

### setMaxValue

    public void setMaxValue(java.util.Date maxValue)
                     throws java.lang.IllegalStateException

  The maximum allowed time.

  Parameters:
    `maxValue` - the max value
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setMaxValue

    public void setMaxValue(java.lang.String maxValue)
                     throws java.lang.IllegalStateException

  The maximum allowed time in valid date format.

  Parameters:
    `maxValue` - The maximum allowed time.
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setMinText

    public void setMinText(java.lang.String minText)

  The error text to display when the date in the cell is before minValue (defaults to 'The time in this field must be equal to or after {0}').

  Parameters:
    `minText` - The error text to display when the date in the cell is before minValue

### setMinValue

    public void setMinValue(java.util.Date minValue)
                     throws java.lang.IllegalStateException

  The minimum allowed time.

  Parameters:
    `minValue` - The minimum allowed time.
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setMinValue

    public void setMinValue(java.lang.String minValue)
                     throws java.lang.IllegalStateException

  The minimum allowed time in valid date format.

  Parameters:
    `minValue` - The minimum allowed time.
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD